
clear all
set mem 800m
set matsize 500
set more off
#delimit;



cap log close;
pause off;


*** analysis***;
*** analysis***;
*** analysis***;



use data_MPV_replication2, clear;

sort hogarid_old;



*** FILL IN ONE MISSING CONTROL VAR WITH MEAN***;



mac def control3 "s1age_head_05 s1male_head_05 s1men_undr5_05 s1men_5_14_05 s1men_15_24_05 s1men_25_64_05 s1men_65plus_05 s1women_undr5_05 s1women_5_14_05 
s1women_15_24_05 s1women_25_64_05 s1women_65plus_05 s2literate_head_05  s3ap23_stime_h_05 s3ap24_htime_h_05 s11landsize_tothh_05 s11ownland_hh_05
s6bpx1_agrohh_h_05 s6bpx2_pecuarhh_h_05 s6bpx3_peonhh_h_05 s6bpx4_prodhh_h_05 s6bpx5_mfghh_h_05 s6bpx6_commhh_h_05 s6bpx7_servhh_h_05 s6bpx8_emplhh_h_05 s6bpx9_profeshh_h_05";


*** DEFINITION INSTRUMENTS***;

*** INTERACTIONS WITH ELEVACION**;

gen elhot_dev = elevacion*n_hotdays_67alt_dev ;
gen elsumdd_dif = elevacion*sumdd67_dif;
gen eldry1560 = elevacion*n_drydays_critper_1560;

gen elhot_dev06 = elevacion*n_hotdays_67alt_dev06 ;
gen elsumdd_dif06 = elevacion*sumdd67_dif06;


global instr3e  "n_drydays_critper_1560 startdaywet_amount_dif sumdd67_dif n_hotdays_67alt_dev elsumdd_dif  elhot_dev " ;
global instr4e  "n_drydays_critper_1560 sumdd67_dif n_hotdays_67alt_dev elsumdd_dif  elhot_dev  " ;

global instr4e_sh  "n_drydays_critper_1560  sumdd67_dif elsumdd_dif  " ;






**** WITH INTERACTIONS FOR GRANT, TRAINING, BASICO****;
**** WITH INTERACTIONS FOR GRANT, TRAINING, BASICO****;

gen T1_hotdays_dev = basico*n_hotdays_67alt_dev;
gen T2_hotdays_dev = training*n_hotdays_67alt_dev;
gen T3_hotdays_dev = grant*n_hotdays_67alt_dev;

gen T1_sumdd67_dif = basico*sumdd67_dif;
gen T2_sumdd67_dif = training*sumdd67_dif;
gen T3_sumdd67_dif = grant*sumdd67_dif;

gen T1_elsumdd_dif = basico*elsumdd_dif;
gen T2_elsumdd_dif = training*elsumdd_dif;
gen T3_elsumdd_dif = grant*elsumdd_dif;

gen T1_elhot_dev = basico*elhot_dev;
gen T2_elhot_dev = training*elhot_dev;
gen T3_elhot_dev = grant*elhot_dev;

gen shockT1 = avdr_bl_n*basico;
gen shockT2 = avdr_bl_n*training;
gen shockT3 = avdr_bl_n*grant;

gen T1dry1560 = basico*n_drydays_critper_1560;
gen T1eldry1560 = basico*eldry1560;

gen T2dry1560 = training*n_drydays_critper_1560;
gen T2eldry1560 = training*eldry1560;

gen T3dry1560 = grant*n_drydays_critper_1560;
gen T3eldry1560 = grant*eldry1560;


gen T1_startdaywet_amount_dif = basico*startdaywet_amount_dif;
gen T2_startdaywet_amount_dif = training*startdaywet_amount_dif;
gen T3_startdaywet_amount_dif = grant*startdaywet_amount_dif;



gen shockT3_avym =  st_av_yield_m*grant;
gen shockT2_avym =   st_av_yield_m*training;
gen shockT1_avym =   st_av_yield_m*basico;

gen shockprimT1 = avdrprim_n08*basico;
gen shockprimT2 = avdrprim_n08*training;
gen shockprimT3 = avdrprim_n08*grant;


**** WITH INTERACTIONS FOR GRANT, TRAINING, BASICO FOR 2006****;
**** WITH INTERACTIONS FOR GRANT, TRAINING, BASICO FOR 2006****;

gen T1_hotdays_dev06 = basico*n_hotdays_67alt_dev06;
gen T2_hotdays_dev06 = training*n_hotdays_67alt_dev06;
gen T3_hotdays_dev06 = grant*n_hotdays_67alt_dev06;

gen T1_sumdd67_dif06 = basico*sumdd67_dif06;
gen T2_sumdd67_dif06 = training*sumdd67_dif06;
gen T3_sumdd67_dif06 = grant*sumdd67_dif06;

gen T1_elsumdd_dif06 = basico*elsumdd_dif06;
gen T2_elsumdd_dif06 = training*elsumdd_dif06;
gen T3_elsumdd_dif06 = grant*elsumdd_dif06;

gen T1_elhot_dev06 = basico*elhot_dev06;
gen T2_elhot_dev06 = training*elhot_dev06;
gen T3_elhot_dev06 = grant*elhot_dev06;

gen shock06T1 = avdr_bl_n06*basico;
gen shock06T2 = avdr_bl_n06*training;
gen shock06T3 = avdr_bl_n06*grant;

gen shockprim06T1 = avdrprim_n06*basico;
gen shockprim06T2 = avdrprim_n06*training;
gen shockprim06T3 = avdrprim_n06*grant;


gen T1dry1560_06 = basico*n_drydays_critper_15602006;
gen T2dry1560_06 = training*n_drydays_critper_15602006;
gen T3dry1560_06 = grant*n_drydays_critper_15602006;



************* DEFINING VARIABLES FOR ROBUSTNESS CHECK WITHOUT HH OWN REPORTED SHOCK*****;
************* DEFINING VARIABLES FOR ROBUSTNESS CHECK WITHOUT HH OWN REPORTED SHOCK*****;
************* DEFINING VARIABLES FOR ROBUSTNESS CHECK WITHOUT HH OWN REPORTED SHOCK*****;


gen ww = 1 if itt_h==1;
replace ww = 3 if itt_h==0;

gen sh_prim3 = sh_prim*ww;

gen sh_primmin =  (sh_primcheck*w - sh_prim3)/(w-ww);
replace sh_primmin = sh_primcheck if sh_prim3==. | unique_05~=unique_08;

egen avdrmin = std(sh_primmin);


gen yield3 = yield_maiz*ww;
gen yieldmin = (av_yield_maiz*w - yield3)/(w-ww) ;
replace yieldmin = av_yield_maiz if yield3==. | unique_05~=unique_08;

egen styieldmin = std(yieldmin);

*** VAR DEF FOR ROBUSTNESS CHECK WITH PREDICTED YIELD IN CONTROL***;
*** VAR DEF FOR ROBUSTNESS CHECK WITH PREDICTED YIELD IN CONTROL***;
*** VAR DEF FOR ROBUSTNESS CHECK WITH PREDICTED YIELD IN CONTROL***;

bysort unique_05: egen first = rank(hogarid_old), unique;

regress yield_maizc $instr4e_sh elevacion if first==1, cluster(unique_05);
predict pred_yield1;


sum  pred_yield;

egen pred_yield = std(pred_yield1);

gen pred_yieldT3= pred_yield*grant*-1;
gen pred_yieldT2= pred_yield*training*-1;
gen pred_yieldT1= pred_yield*basico*-1;
set seed 12345678;
replace pred_yield = pred_yield*-1;
drop  pred_yield1 yield_maizc first;


**** WITH INTERACTIONS FOR GRANT, TRAINING, BASICO****;
**** WITH INTERACTIONS FOR GRANT, TRAINING, BASICO****;


gen styieldminT1 = styieldmin*basico*-1;
gen styieldminT2 = styieldmin*training*-1;
gen styieldminT3 = styieldmin*grant*-1;

gen shockminT1 = avdrmin*basico;
gen shockminT2 = avdrmin*training;
gen shockminT3 = avdrmin*grant;

drop styieldmin avdrmin yield3 yieldmin sh_primmin sh_prim3 ww;



*** DEFINING INSTRUMENT SETS FOR SPECIFICATION WITH INTERACTIONS WITH 3 INTERVENTIONS - WITH AND WITHOUT FIXED EFFECTS**;
*** DEFINING INSTRUMENT SETS FOR SPECIFICATION WITH INTERACTIONS WITH 3 INTERVENTIONS - WITH AND WITHOUT FIXED EFFECTS**;
*** DEFINING INSTRUMENT SETS FOR SPECIFICATION WITH INTERACTIONS WITH 3 INTERVENTIONS - WITH AND WITHOUT FIXED EFFECTS**;


global instr4e_inter3 "n_hotdays_67alt_dev elhot_dev sumdd67_dif elsumdd_dif n_drydays_critper_1560 
T3_hotdays_dev T3_elhot_dev  T3_sumdd67_dif T3_elsumdd_dif T3dry1560 
T2_hotdays_dev T2_elhot_dev T2_sumdd67_dif T2_elsumdd_dif T2dry1560  T1_hotdays_dev T1_elhot_dev T1_sumdd67_dif T1_elsumdd_dif T1dry1560 " ;

global instr4ef_inter3 "T3_hotdays_dev T3_elhot_dev  T3_sumdd67_dif T3_elsumdd_dif T3dry1560 
T2_hotdays_dev T2_elhot_dev T2_sumdd67_dif T2_elsumdd_dif T2dry1560 T1_hotdays_dev T1_elhot_dev T1_sumdd67_dif T1_elsumdd_dif T1dry1560 " ;


global instr4esh_inter3 " sumdd67_dif elsumdd_dif n_drydays_critper_1560 
  T3_sumdd67_dif T3_elsumdd_dif T3dry1560 T2_sumdd67_dif T2_elsumdd_dif T2dry1560   T1_sumdd67_dif T1_elsumdd_dif T1dry1560 " ;

global instr4eshf_inter3 " T3_sumdd67_dif T3_elsumdd_dif T3dry1560 
 T2_sumdd67_dif T2_elsumdd_dif T2dry1560 T1_sumdd67_dif T1_elsumdd_dif T1dry1560 " ;


global instr4e_inter3_06 "n_hotdays_67alt_dev06 elhot_dev06 sumdd67_dif06 elsumdd_dif06 n_drydays_critper_15602006 
T3_hotdays_dev06 T3_elhot_dev06  T3_sumdd67_dif06 T3_elsumdd_dif06 T3dry1560_06 
T2_hotdays_dev06 T2_elhot_dev06 T2_sumdd67_dif06 T2_elsumdd_dif06 T2dry1560_06  T1_hotdays_dev06 T1_elhot_dev06 T1_sumdd67_dif06 T1_elsumdd_dif06 T1dry1560_06" ;

global instr4ef_inter3_06 "T3_hotdays_dev06 T3_elhot_dev06  T3_sumdd67_dif06 T3_elsumdd_dif06 T3dry1560_06 
T2_hotdays_dev06 T2_elhot_dev06 T2_sumdd67_dif06 T2_elsumdd_dif06 T2dry1560_06  T1_hotdays_dev06 T1_elhot_dev06 T1_sumdd67_dif06 T1_elsumdd_dif06 T1dry1560_06" ;


**** RESULTS FOR TOTAL PC CONSUMPTION - ROBUSTNESS***;
**** RESULTS FOR TOTAL PC CONSUMPTION - ROBUSTNESS***;
svyset unique_05;

egen m_lncons_05 = mean(lncons_05) if lnc_tot_~=. ;
egen sd_lncons_05 = sd(lncons_05) if lnc_tot_~=. ;

gen lncons_05c = (lncons_05 - m_lncons_05)/sd_lncons_05;

gen consT3 = grant*lncons_05c ;
gen consT2 = training*lncons_05c;
gen consT1 = basico*lncons_05c;

gen incT3 = grant*lninc_tot2_05 ;
gen incT2 = training*lninc_tot2_05 ;
gen incT1 = basico*lninc_tot2_05 ;


**** MAIN RESULTS TABLE***;
**** MAIN RESULTS TABLE***;
**** MAIN RESULTS TABLE***;



svyset, clear;
svyset unique_05;

***OLS without interactions- Table 1 & Table 2**;
***OLS without interactions- Table 1 & Table 2**;
***OLS without interactions- Table 1 & Table 2**;
sum s6bpx8_emplhh_h_08 s6nonagro_self_hh_08 s6bpx4_prodhh_h_08 s6bpx5_mfghh_h_08 s6bpx6_commhh_h_08 s6bpx7_servhh_h_08 if itt_h==0;
sum yemp_hheo_08   yslflivnonag_hheo_08  yearprofitco busasseto incrprofito  gonesmall_addo if itt_h==0;


foreach var of varlist  s6bpx8_emplhh_h_08 s6nonagro_self_hh_08 s6bpx4_prodhh_h_08 s6bpx5_mfghh_h_08 s6bpx6_commhh_h_08 s6bpx7_servhh_h_08 {;
xi: reg `var' grant training basico elevacion   $control3 i.block_05 if     lnc_tot_ ~=., cluster(unique_05);
test grant = training;
gen p1 = r(p) ;
test grant = basico;
gen p2 = r(p) ;
test training = basico;
gen p3 = r(p) ;
outreg2 grant training basico using Table1, excel addstat(P-value a3=a2, p1, P-value a3=a1, p2, P-value a2=a1, p3)    append;
drop p1 p2 p3;
};

foreach var in  yemp_hh   yslflivnonag_hh    {;
xi: reg `var'eo_08 grant training basico elevacion `var'_05e  $control3 i.block_05 if     lnc_tot_ ~=., cluster(unique_05);
test grant = training;
gen p1 = r(p) ;
test grant = basico;
gen p2 = r(p) ;
test training = basico;
gen p3 = r(p) ;
outreg2 grant training basico using Table2, excel addstat(P-value a3=a2, p1, P-value a3=a1, p2, P-value a2=a1, p3)    append;
drop p1 p2 p3;

};


foreach var of varlist   yearprofitco  gonesmall_addo busasseto incrprofito   {;
xi: reg `var' grant training basico elevacion   $control3 i.block_05 if     lnc_tot_ ~=., cluster(unique_05);
test grant = training;
gen p1 = r(p) ;
test grant = basico;
gen p2 = r(p) ;
test training = basico;
gen p3 = r(p) ;
outreg2 grant training basico using Table2, excel addstat(P-value a3=a2, p1, P-value a3=a1, p2, P-value a2=a1, p3)    append;
drop p1 p2 p3;

};

***Table 3, column 3-6****;
***Table 3, column 3-6****;
***Table 3, column 3-6****;

regress avdrprim_n08 $instr3e elevacion $control3 if lnc_tot_~=., cluster(unique_05);
test sumdd67_dif= elsumdd_dif= n_hotdays_67alt_dev= elhot_dev= n_drydays_critper_1560 =startdaywet_amount_dif=0;
outreg2 $instr3e  elevacion using Table3, excel addstat(F-stat weather variables, r(F)) append ;

regress avdrprim_n08 $instr4e elevacion $control3 if lnc_tot_~=., cluster(unique_05);
test sumdd67_dif= elsumdd_dif= n_hotdays_67alt_dev= elhot_dev =n_drydays_critper_1560=0;
outreg2 $instr4e elevacion  using Table3, excel addstat(F-stat weather variables, r(F)) append ;

regress st_av_yield_m* $instr4e elevacion $control3 if lnc_tot_~=., cluster(unique_05);
test sumdd67_dif= elsumdd_dif= n_hotdays_67alt_dev= elhot_dev =n_drydays_critper_1560=0;
outreg2 $instr4e elevacion using Table3, excel addstat(F-stat weather variables, r(F)) append ;

regress st_av_yield_m* $instr4e_sh elevacion $control3 if lnc_tot_~=., cluster(unique_05);
test sumdd67_dif= elsumdd_dif =n_drydays_critper_1560=0;
outreg2 $instr4e_sh elevacion using Table3, excel addstat(F-stat weather variables, r(F)) append ;


******Table A4****;
******Table A4****;
******Table A4****;

reg lnc_tot_ avdrprim_n08   if     lnc_tot_ ~=. & itt_h==0, cluster(unique_05);
outreg2 avdrprim_n08  using TableA4, excel  append;
reg lnc_tot_ st_av_yield_m  if     lnc_tot_ ~=. & itt_h==0, cluster(unique_05);
outreg2 st_av_yield_m  using TableA4, excel  append;

reg  lninc_tot2_pc_08o  avdrprim_n08   if     lnc_tot_ ~=. & itt_h==0, cluster(unique_05);
outreg2 avdrprim_n08  using TableA4, excel  append;
reg  lninc_tot2_pc_08o  st_av_yield_m   if     lnc_tot_ ~=. & itt_h==0, cluster(unique_05);
outreg2 st_av_yield_m  using TableA4, excel  append;


******DSTATS - Table A3****;
******DSTATS - Table A3****;
******DSTATS - Table A3****;

log using TableA3.log, replace;
sum elevacion startdaywet_amount_dif n_drydays_critper_1560 sumdd67_dif n_hotdays_67alt_dev avdrprim_bl08 av_drought_bl av_yield_maiz if lnc_tot_~=.;
sum elevacion startdaywet_amount_dif n_drydays_critper_1560 sumdd67_dif n_hotdays_67alt_dev avdrprim_bl08 av_drought_bl av_yield_maiz if lnc_tot_~=. & codmun_05==5;
sum elevacion startdaywet_amount_dif n_drydays_critper_1560 sumdd67_dif n_hotdays_67alt_dev avdrprim_bl08 av_drought_bl av_yield_maiz if lnc_tot_~=. & inlist(codmun_05,35,40);
sum elevacion startdaywet_amount_dif n_drydays_critper_1560 sumdd67_dif n_hotdays_67alt_dev avdrprim_bl08 av_drought_bl av_yield_maiz if lnc_tot_~=. & inlist(codmun_05, 10,15,45);
log close;


***OLS without interactions- Table A5**;
***OLS without interactions- Table A5**;
***OLS without interactions- Table A5**;
xi: reg lnc_tot_ grant training basico elevacion lncons_05  $control3 i.block_05 if     lnc_tot_ ~=., cluster(unique_05);
outreg2 grant training basico using TableA5, excel  append;
xi:reg lnc_tot_ grant training basico elevacion lncons_05  $control3 i.block_05 if     lnc_tot_ ~=., cluster(block_05);
outreg2 grant training basico using TableA5, excel  append;

xi:reg lninc_tot2_pc_08o grant training basico elevacion lninc_tot2_05  $control3 i.block_05 if     lnc_tot_ ~=., cluster(unique_05);
outreg2 grant training basico using TableA5, excel  append;
xi:reg lninc_tot2_pc_08o grant training basico elevacion lninc_tot2_05  $control3 i.block_05 if     lnc_tot_ ~=., cluster(block_05);
outreg2 grant training basico using TableA5, excel  append;




** BASE RESULT WITHOUT FIXED EFFECTS - TABLE A7 AND TABLE A8***;
svyset, clear;
svyset unique_05;


svy: regress  lnc_tot_ grant training basico elevacion lncons_05  $control3 avdrprim_n08 shockprimT3 shockprimT2 shockprimT1   ;
outreg2 grant training basico avdrprim_n08 shockprimT3 shockprimT2 shockprimT1 using TableA7, excel  append tdec(3);

svy: ivregress 2sls lnc_tot_ grant training basico elevacion lncons_05  $control3  ( avdrprim_n08 shockprimT3 shockprimT2 shockprimT1 = $instr4e_inter3)   ;
outreg2 grant training basico avdrprim_n08 shockprimT3 shockprimT2 shockprimT1 using TableA7, excel  append tdec(3);


svyset, clear;
svyset block_05;
svy: ivregress 2sls lnc_tot_ grant training basico elevacion lncons_05  $control3 (avdrprim_n08 shockprimT3 shockprimT2 shockprimT1 = $instr4e_inter3)   ;
outreg2 grant training basico avdrprim_n08 shockprimT3 shockprimT2 shockprimT1 using TableA7, excel  append tdec(3);


svyset, clear;
svyset unique_05;

svy: regress lninc_tot2_pc_08o grant training basico elevacion lninc_tot2_05  $control3 avdrprim_n08 shockprimT3 shockprimT2 shockprimT1   ;
outreg2 grant training basico avdrprim_n08 shockprimT3 shockprimT2 shockprimT1 using TableA8, excel  append tdec(3);

 svy: ivregress 2sls lninc_tot2_pc_08o grant training basico elevacion lninc_tot2_05  $control3  (avdrprim_n08 shockprimT3 shockprimT2 shockprimT1 = $instr4e_inter3)   ;
outreg2 grant training basico avdrprim_n08 shockprimT3 shockprimT2 shockprimT1 using TableA8, excel  append tdec(3);


svyset, clear;
svyset block_05;
svy: ivregress 2sls lninc_tot2_pc_08o grant training basico elevacion lninc_tot2_05  $control3  (avdrprim_n08 shockprimT3 shockprimT2 shockprimT1 = $instr4e_inter3)   ;
outreg2 grant training basico avdrprim_n08 shockprimT3 shockprimT2 shockprimT1 using TableA8, excel  append tdec(3);



svyset, clear;
svyset unique_05;

svy: regress  lnc_tot_ grant training basico elevacion lncons_05  $control3 st_av_yield_m shockT3_avym shockT2_avym shockT1_avym   ;
outreg2 grant training basico st_av_yield_m shockT3_avym shockT2_avym shockT1_avym using TableA7, excel  append tdec(3);

svy: ivregress 2sls lnc_tot_ grant training basico elevacion lncons_05  $control3  (st_av_yield_m shockT3_avym shockT2_avym shockT1_avym = $instr4esh_inter3)   ;
outreg2 grant training basico st_av_yield_m shockT3_avym shockT2_avym shockT1_avym using TableA7, excel  append tdec(3);


svyset, clear;
svyset block_05;
 svy: ivregress 2sls lnc_tot_ grant training basico elevacion lncons_05  $control3 (st_av_yield_m shockT3_avym shockT2_avym shockT1_avym = $instr4esh_inter3)   ;
outreg2 grant training basico st_av_yield_m shockT3_avym shockT2_avym shockT1_avym using TableA7, excel  append tdec(3);


svyset, clear;
svyset unique_05;

 svy: regress lninc_tot2_pc_08o grant training basico elevacion lninc_tot2_05  $control3 st_av_yield_m shockT3_avym shockT2_avym shockT1_avym   ;
outreg2 grant training basico st_av_yield_m shockT3_avym shockT2_avym shockT1_avym using TableA8, excel  append tdec(3);

svy: ivregress 2sls lninc_tot2_pc_08o grant training basico elevacion lninc_tot2_05  $control3  (st_av_yield_m shockT3_avym shockT2_avym shockT1_avym = $instr4esh_inter3)   ;
outreg2 grant training basico st_av_yield_m shockT3_avym shockT2_avym shockT1_avym using TableA8, excel  append tdec(3);

svyset, clear;
svyset block_05;
 svy: ivregress 2sls lninc_tot2_pc_08o grant training basico elevacion lninc_tot2_05  $control3 (st_av_yield_m shockT3_avym shockT2_avym shockT1_avym = $instr4esh_inter3)   ;
outreg2 grant training basico st_av_yield_m shockT3_avym shockT2_avym shockT1_avym using TableA8, excel  append tdec(3);







** BASE RESULT WITH FIXED EFFECTS -TABLE 4 AND TABLE 5***;

svyset, clear;
svyset unique_05;

xi: svy: regress  lnc_tot_ grant training basico elevacion lncons_05  $control3 i.block_05 shockprimT3 shockprimT2 shockprimT1   ;
test grant = training;
local p1 = r(p);
test shockprimT3 = shockprimT2;
local p2 = r(p);
test grant = basico;
local p3 = r(p);
test shockprimT1 = shockprimT3;
local p4 = r(p);
test training = basico;
local p5 = r(p);
test shockprimT2 = shockprimT1;
local p6 = r(p);
outreg2 grant training basico shockprimT3 shockprimT2 shockprimT1 using Table4, excel addstat(P-value a3=a2, `p1', P-value g3=g2, `p2', P-value a3=a1, `p3', P-value g3=g1, `p4', P-value a2=a1, `p5', P-value g2=g1, `p6') append tdec(3);

xi: svy: ivregress 2sls lnc_tot_ grant training basico elevacion lncons_05  $control3 i.block_05 (shockprimT3 shockprimT2 shockprimT1 = $instr4ef_inter3)   ;
test grant = training;
local p1 = r(p);
test shockprimT3 = shockprimT2;
local p2 = r(p);
test grant = basico;
local p3 = r(p);
test shockprimT1 = shockprimT3;
local p4 = r(p);
test training = basico;
local p5 = r(p);
test shockprimT2 = shockprimT1;
local p6 = r(p);
outreg2 grant training basico shockprimT3 shockprimT2 shockprimT1 using Table4, excel addstat(P-value a3=a2, `p1', P-value g3=g2, `p2', P-value a3=a1, `p3', P-value g3=g1, `p4', P-value a2=a1, `p5', P-value g2=g1, `p6') append tdec(3);

svyset, clear;
svyset block_05;
xi: svy: ivregress 2sls lnc_tot_ grant training basico elevacion lncons_05  $control3 i.block_05 (shockprimT3 shockprimT2 shockprimT1 = $instr4ef_inter3)   ;
test grant = training;
local p1 = r(p);
test shockprimT3 = shockprimT2;
local p2 = r(p);
test grant = basico;
local p3 = r(p);
test shockprimT1 = shockprimT3;
local p4 = r(p);
test training = basico;
local p5 = r(p);
test shockprimT2 = shockprimT1;
local p6 = r(p);
outreg2 grant training basico shockprimT3 shockprimT2 shockprimT1 using Table4, excel addstat(P-value a3=a2, `p1', P-value g3=g2, `p2', P-value a3=a1, `p3', P-value g3=g1, `p4', P-value a2=a1, `p5', P-value g2=g1, `p6') append tdec(3);

pause;

svyset, clear;
svyset unique_05;

xi: svy: regress lninc_tot2_pc_08o grant training basico elevacion lninc_tot2_05  $control3 i.block_05 shockprimT3 shockprimT2 shockprimT1   ;
test grant = training;
local p1 = r(p);
test shockprimT3 = shockprimT2;
local p2 = r(p);
test grant = basico;
local p3 = r(p);
test shockprimT1 = shockprimT3;
local p4 = r(p);
test training = basico;
local p5 = r(p);
test shockprimT2 = shockprimT1;
local p6 = r(p);
outreg2 grant training basico shockprimT3 shockprimT2 shockprimT1 using Table5, excel addstat(P-value a3=a2, `p1', P-value g3=g2, `p2', P-value a3=a1, `p3', P-value g3=g1, `p4', P-value a2=a1, `p5', P-value g2=g1, `p6') append tdec(3);

xi: svy: ivregress 2sls lninc_tot2_pc_08o grant training basico elevacion lninc_tot2_05  $control3 i.block_05 (shockprimT3 shockprimT2 shockprimT1 = $instr4ef_inter3)   ;
test grant = training;
local p1 = r(p);
test shockprimT3 = shockprimT2;
local p2 = r(p);
test grant = basico;
local p3 = r(p);
test shockprimT1 = shockprimT3;
local p4 = r(p);
test training = basico;
local p5 = r(p);
test shockprimT2 = shockprimT1;
local p6 = r(p);
outreg2 grant training basico shockprimT3 shockprimT2 shockprimT1 using Table5, excel addstat(P-value a3=a2, `p1', P-value g3=g2, `p2', P-value a3=a1, `p3', P-value g3=g1, `p4', P-value a2=a1, `p5', P-value g2=g1, `p6') append tdec(3);


svyset, clear;
svyset block_05;
xi: svy: ivregress 2sls lninc_tot2_pc_08o grant training basico elevacion lninc_tot2_05  $control3 i.block_05 (shockprimT3 shockprimT2 shockprimT1 = $instr4ef_inter3)   ;
test grant = training;
local p1 = r(p);
test shockprimT3 = shockprimT2;
local p2 = r(p);
test grant = basico;
local p3 = r(p);
test shockprimT1 = shockprimT3;
local p4 = r(p);
test training = basico;
local p5 = r(p);
test shockprimT2 = shockprimT1;
local p6 = r(p);
outreg2 grant training basico shockprimT3 shockprimT2 shockprimT1 using Table5, excel addstat(P-value a3=a2, `p1', P-value g3=g2, `p2', P-value a3=a1, `p3', P-value g3=g1, `p4', P-value a2=a1, `p5', P-value g2=g1, `p6') append tdec(3);

pause;


svyset, clear;
svyset unique_05;

xi: svy: regress  lnc_tot_ grant training basico elevacion lncons_05  $control3 i.block_05 shockT3_avym shockT2_avym shockT1_avym   ;
test grant = training;
local p1 = r(p);
test shockT3_avym = shockT2_avym;
local p2 = r(p);
test grant = basico;
local p3 = r(p);
test shockT1_avym = shockT3_avym ;
local p4 = r(p);
test training = basico;
local p5 = r(p);
test shockT2_avym = shockT1_avym;
local p6 = r(p);
outreg2 grant training basico shockT3_avym shockT2_avym shockT1_avym using Table4, excel addstat(P-value a3=a2, `p1', P-value g3=g2, `p2', P-value a3=a1, `p3', P-value g3=g1, `p4', P-value a2=a1, `p5', P-value g2=g1, `p6') append tdec(3);


xi: svy: ivregress 2sls lnc_tot_ grant training basico elevacion lncons_05  $control3 i.block_05 (shockT3_avym shockT2_avym shockT1_avym = $instr4eshf_inter3)   ;
test grant = training;
local p1 = r(p);
test shockT3_avym = shockT2_avym;
local p2 = r(p);
test grant = basico;
local p3 = r(p);
test shockT1_avym = shockT3_avym ;
local p4 = r(p);
test training = basico;
local p5 = r(p);
test shockT2_avym = shockT1_avym;
local p6 = r(p);
outreg2 grant training basico shockT3_avym shockT2_avym shockT1_avym using Table4, excel addstat(P-value a3=a2, `p1', P-value g3=g2, `p2', P-value a3=a1, `p3', P-value g3=g1, `p4', P-value a2=a1, `p5', P-value g2=g1, `p6') append tdec(3);


svyset, clear;
svyset block_05;
xi: svy: ivregress 2sls lnc_tot_ grant training basico elevacion lncons_05  $control3 i.block_05 (shockT3_avym shockT2_avym shockT1_avym = $instr4eshf_inter3)   ;
test grant = training;
local p1 = r(p);
test shockT3_avym = shockT2_avym;
local p2 = r(p);
test grant = basico;
local p3 = r(p);
test shockT1_avym = shockT3_avym ;
local p4 = r(p);
test training = basico;
local p5 = r(p);
test shockT2_avym = shockT1_avym;
local p6 = r(p);
outreg2 grant training basico shockT3_avym shockT2_avym shockT1_avym using Table4, excel addstat(P-value a3=a2, `p1', P-value g3=g2, `p2', P-value a3=a1, `p3', P-value g3=g1, `p4', P-value a2=a1, `p5', P-value g2=g1, `p6') append tdec(3);


pause;

svyset, clear;
svyset unique_05;

xi: svy: regress lninc_tot2_pc_08o grant training basico elevacion lninc_tot2_05  $control3 i.block_05 shockT3_avym shockT2_avym shockT1_avym   ;
test grant = training;
local p1 = r(p);
test shockT3_avym = shockT2_avym;
local p2 = r(p);
test grant = basico;
local p3 = r(p);
test shockT1_avym = shockT3_avym ;
local p4 = r(p);
test training = basico;
local p5 = r(p);
test shockT2_avym = shockT1_avym;
local p6 = r(p);
outreg2 grant training basico shockT3_avym shockT2_avym shockT1_avym using Table5, excel addstat(P-value a3=a2, `p1', P-value g3=g2, `p2', P-value a3=a1, `p3', P-value g3=g1, `p4', P-value a2=a1, `p5', P-value g2=g1, `p6') append tdec(3);


xi: svy: ivregress 2sls lninc_tot2_pc_08o grant training basico elevacion lninc_tot2_05  $control3 i.block_05 (shockT3_avym shockT2_avym shockT1_avym = $instr4eshf_inter3)   ;
test grant = training;
local p1 = r(p);
test shockT3_avym = shockT2_avym;
local p2 = r(p);
test grant = basico;
local p3 = r(p);
test shockT1_avym = shockT3_avym ;
local p4 = r(p);
test training = basico;
local p5 = r(p);
test shockT2_avym = shockT1_avym;
local p6 = r(p);
outreg2 grant training basico shockT3_avym shockT2_avym shockT1_avym using Table5, excel addstat(P-value a3=a2, `p1', P-value g3=g2, `p2', P-value a3=a1, `p3', P-value g3=g1, `p4', P-value a2=a1, `p5', P-value g2=g1, `p6') append tdec(3);


svyset, clear;
svyset block_05;
xi: svy: ivregress 2sls lninc_tot2_pc_08o grant training basico elevacion lninc_tot2_05  $control3 i.block_05 (shockT3_avym shockT2_avym shockT1_avym = $instr4eshf_inter3)   ;
test grant = training;
local p1 = r(p);
test shockT3_avym = shockT2_avym;
local p2 = r(p);
test grant = basico;
local p3 = r(p);
test shockT1_avym = shockT3_avym ;
local p4 = r(p);
test training = basico;
local p5 = r(p);
test shockT2_avym = shockT1_avym;
local p6 = r(p);
outreg2 grant training basico shockT3_avym shockT2_avym shockT1_avym using Table5, excel addstat(P-value a3=a2, `p1', P-value g3=g2, `p2', P-value a3=a1, `p3', P-value g3=g1, `p4', P-value a2=a1, `p5', P-value g2=g1, `p6') append tdec(3);


pause;



svyset, clear;
svyset unique_05;





**** CONSUMPTION - MAIN ROBUSTNESS TABLE A9**;
**** CONSUMPTION - MAIN ROBUSTNESS TABLE A9**;
**** CONSUMPTION - MAIN ROBUSTNESS TABLE A9**;

** WITHOUT CONTROLS***;

xi: svy: ivregress 2sls lnc_tot_ grant training basico elevacion lncons_05 i.block_05 (shockprimT3 shockprimT2 shockprimT1 = $instr4ef_inter3)   ;
outreg2 grant training basico shockprimT3 shockprimT2 shockprimT1 using TableA9, excel  append ;


xi: svy: ivregress 2sls lnc_tot_ grant training basico elevacion lncons_05 i.block_05 (shockT3_avym shockT2_avym shockT1_avym = $instr4eshf_inter3)   ;
outreg2 grant training basico shockT3_avym shockT2_avym shockT1_avym using TableA9, excel  append ;


*** SHOCKS WITHOUT HH SELF-REPORRTED SHOCK**;
xi: svy: ivregress 2sls lnc_tot_ grant training basico elevacion lncons_05  $control3 i.block_05 (shockminT3 shockminT2 shockminT1 = $instr4ef_inter3)   ;
outreg2 grant training basico shockminT3 shockminT2 shockminT1 using TableA9, excel  append ;


xi: svy: ivregress 2sls lnc_tot_ grant training basico elevacion lncons_05  $control3 i.block_05 (styieldminT3 styieldminT2 styieldminT1  = $instr4eshf_inter3)   ;
outreg2 grant training basico styieldminT3 styieldminT2 styieldminT1  using TableA9, excel  append ;




*** MAIN SPECIFICATION with ADDITIONAL INTERACTIONS FOR BASELINE CONSUMPTION***;


xi: svy: ivregress 2sls lnc_tot_ grant training basico elevacion lncons_05 consT3 consT2 consT1 $control3 i.block_05 (shockprimT3 shockprimT2 shockprimT1 = $instr4ef_inter3)   ;
outreg2 grant training basico shockprimT3 shockprimT2 shockprimT1 using TableA9, excel  append ;




xi: svy: ivregress 2sls lnc_tot_ grant training basico elevacion lncons_05 consT3 consT2 consT1 $control3 i.block_05 (shockT3_avym shockT2_avym shockT1_avym = $instr4eshf_inter3)   ;
outreg2 grant training basico shockT3_avym shockT2_avym shockT1_avym using TableA9, excel  append ;



xi: bootstrap,   strata(block_05) cluster(unique_05) reps(2000):  reg lnc_tot_ grant training basico pred_yield pred_yieldT3  pred_yieldT2 pred_yieldT1  elevacion lncons_05 $control3  i.block_05 ;
outreg2 grant training basico pred_yieldT3  pred_yieldT2 pred_yieldT1  using TableA9, excel  append ;

**** INCOME-  ROBUSTNESS TABLE APPENDIX A10***;
**** INCOME-  ROBUSTNESS TABLE APPENDIX A10 ***;
**** INCOME-  ROBUSTNESS TABLE APPENDIX A10 ***;


** WITHOUT CONTROLS***;

xi: svy: ivregress 2sls lninc_tot2_pc_08o grant training basico elevacion lninc_tot2_05  i.block_05 (shockprimT3 shockprimT2 shockprimT1 = $instr4ef_inter3)   ;
outreg2 grant training basico shockprimT3 shockprimT2 shockprimT1 using TableA10, excel  append ;

xi: svy: ivregress 2sls lninc_tot2_pc_08o grant training basico elevacion lninc_tot2_05  i.block_05 (shockT3_avym shockT2_avym shockT1_avym = $instr4eshf_inter3)   ;
outreg2 grant training basico shockT3_avym shockT2_avym shockT1_avym using TableA10, excel  append ;




*** SHOCKS WITHOUT HH SELF-REPORRTED SHOCK**;

xi: svy: ivregress 2sls lninc_tot2_pc_08o grant training basico elevacion lninc_tot2_05  $control3 i.block_05 (shockminT3 shockminT2 shockminT1 = $instr4ef_inter3)   ;
outreg2 grant training basico shockminT3 shockminT2 shockminT1 using TableA10, excel  append ;


xi: svy: ivregress 2sls lninc_tot2_pc_08o grant training basico elevacion lninc_tot2_05  $control3 i.block_05 (styieldminT3 styieldminT2 styieldminT1  = $instr4eshf_inter3)   ;
outreg2 grant training basico styieldminT3 styieldminT2 styieldminT1  using TableA10, excel  append ;





*** MAIN SPECIFICATION with ADDITIONAL INTERACTIONS FOR BASELINE CONSUMPTION***;

xi: svy: ivregress 2sls lninc_tot2_pc_08o grant training basico elevacion lninc_tot2_05  consT3 consT2 consT1 $control3 i.block_05 (shockprimT3 shockprimT2 shockprimT1 = $instr4ef_inter3)   ;
outreg2 grant training basico shockprimT3 shockprimT2 shockprimT1 using TableA10, excel  append ;

xi: svy: ivregress 2sls lninc_tot2_pc_08o grant training basico elevacion lninc_tot2_05  consT3 consT2 consT1 $control3 i.block_05 (shockT3_avym shockT2_avym shockT1_avym = $instr4eshf_inter3)   ;
outreg2 grant training basico shockT3_avym shockT2_avym shockT1_avym using TableA10, excel  append ;


xi: bootstrap,   strata(block_05) cluster(unique_05) reps(2000):  reg  lninc_tot2_pc_08o  grant training basico pred_yield pred_yieldT3  pred_yieldT2 pred_yieldT1  elevacion lninc_tot2_05  $control3  i.block_05 ;
outreg2 grant training basico pred_yieldT3  pred_yieldT2 pred_yieldT1  using TableA10, excel  append ;


**** PLACEBOS - Table 6***;
**** PLACEBOS - Table 6***;
**** PLACEBOS - Table 6***;
**** 2005 outcome***;

xi: svy: ivregress 2sls lncons_05  grant training basico elevacion  $control3 i.block_05 (shockprimT3 shockprimT2 shockprimT1 = $instr4ef_inter3) if lnc_tot_~=.   ;
outreg2 grant training basico shockprimT3 shockprimT2 shockprimT1 using Table6, excel  append ;


xi: svy: ivregress 2sls lncons_05  grant training basico elevacion  $control3 i.block_05 ( shockT3_avym shockT2_avym shockT1_avym = $instr4eshf_inter3) if lnc_tot_~=.   ;
outreg2 grant training basico shockT3_avym shockT2_avym shockT1_avym using Table6, excel  append ;

**** 2006 outcome***;


xi: svy: ivregress 2sls lnc_tot_06 lncons_05  grant training basico elevacion  $control3 i.block_05 (shockprimT3 shockprimT2 shockprimT1 = $instr4ef_inter3)  if lnc_tot_~=.  ;
outreg2 grant training basico shockprimT3 shockprimT2 shockprimT1 using Table6, excel  append ;


xi: svy: ivregress 2sls lnc_tot_06 lncons_05  grant training basico elevacion  $control3 i.block_05 ( shockT3_avym shockT2_avym shockT1_avym = $instr4eshf_inter3) if lnc_tot_~=.   ;
outreg2 grant training basico shockT3_avym shockT2_avym shockT1_avym using Table6, excel  append;


**** 2006 outcome with 06 shocks***;

xi: svy: ivregress 2sls lnc_tot_06 lncons_05  grant training basico elevacion  $control3 i.block_05 (shockprim06T3 shockprim06T2 shockprim06T1 = $instr4ef_inter3_06) if lnc_tot_~=.   ;
outreg2 grant training basico shockprim06T3 shockprim06T2 shockprim06T1 using Table6, excel  append ;



# delimit;

**** CAVEAT - TABLE A18 ***;
**** CAVEAT - TABLE A18 ***;
**** CAVEAT - TABLE A18 ***;

xi: svy: ivregress 2sls lnc_tot_ grant training basico elevacion lncons_05  $control3 i.block_05 (shockprimT3 shockprimT2 shockprimT1 = $instr4ef_inter3)   if munishocklow2==1   ;
outreg2 grant training basico shockprimT3 shockprimT2 shockprimT1 using TableA18, excel  append tdec(3);

xi: svy: ivregress 2sls lnc_tot_ grant training basico elevacion lncons_05  $control3 i.block_05 (shockprimT3 shockprimT2 shockprimT1 = $instr4ef_inter3)   if munishocklow2==0  ;
outreg2 grant training basico shockprimT3 shockprimT2 shockprimT1 using TableA18, excel  append tdec(3);

xi: svy: ivregress 2sls lninc_tot2_pc_08o grant training basico elevacion lninc_tot2_05  $control3 i.block_05 (shockprimT3 shockprimT2 shockprimT1= $instr4ef_inter3) if munishocklow2==1   ;
outreg2 grant training basico shockprimT3 shockprimT2 shockprimT1 using TableA18, excel  append tdec(3);

xi: svy: ivregress 2sls lninc_tot2_pc_08o grant training basico elevacion lninc_tot2_05  $control3 i.block_05 (shockprimT3 shockprimT2 shockprimT1= $instr4ef_inter3) if munishocklow2==0   ;
outreg2 grant training basico shockprimT3 shockprimT2 shockprimT1 using TableA18, excel  append tdec(3);




*** WAGE AND MIGRATION FOR ALL MEMBERS  - TABLE 8 & Table A17***;
*** WAGE AND MIGRATION FOR ALL MEMBERS  - TABLE 8 & Table A17***;
*** WAGE AND MIGRATION FOR ALL MEMBERS  - TABLE 8 & Table A17***;

 sum  days_4567_hh  days_389_hh days_89_hh days_3_hh days_4567_hhf  days_389_hhf days_89_hhf days_3_hhf if itt_h==0;
 
foreach var of varlist   days_4567_hh  days_389_hh days_89_hh days_3_hh {;

xi: svy: ivregress 2sls `var' grant training basico elevacion   $control3 `var'_05
i.block_05 (shockprimT3 shockprimT2 shockprimT1 = $instr4ef_inter3)  if     lnc_tot_ ~=. ;
outreg2 grant training basico shockprimT3 shockprimT2 shockprimT1 using Table8, excel  append ;


xi: svy: ivregress 2sls  `var'  grant training basico elevacion   $control3 `var'_05
i.block_05 (shockT3_avym shockT2_avym shockT1_avym = $instr4eshf_inter3)    if     lnc_tot_ ~=.  ;
outreg2 grant training basico shockT3_avym shockT2_avym shockT1_avym using Table8, excel  append ;
};

  foreach var of varlist   days_4567_hhf  days_389_hhf days_89_hhf days_3_hhf {;

xi: svy: ivregress 2sls `var' grant training basico elevacion   $control3 `var'_05
i.block_05 (shockprimT3 shockprimT2 shockprimT1 = $instr4ef_inter3)  if     lnc_tot_ ~=. ;
outreg2 grant training basico shockprimT3 shockprimT2 shockprimT1 using TableA17, excel  append ;


xi: svy: ivregress 2sls  `var'  grant training basico elevacion   $control3 `var'_05
i.block_05 (shockT3_avym shockT2_avym shockT1_avym = $instr4eshf_inter3)    if     lnc_tot_ ~=.  ;
outreg2 grant training basico shockT3_avym shockT2_avym shockT1_avym using TableA17, excel  append ;
};


foreach var of varlist  s1migr_out_hh_08 s1migrwork_out_hh_08 {;
 
xi: svy: ivregress 2sls `var' grant training basico elevacion   $control3 
i.block_05 (shockprimT3 shockprimT2 shockprimT1 = $instr4ef_inter3)  if     lnc_tot_ ~=. ;
outreg2 grant training basico shockprimT3 shockprimT2 shockprimT1 using  Table8, excel  append ;


xi: svy: ivregress 2sls  `var'  grant training basico elevacion  $control3 
i.block_05 (shockT3_avym shockT2_avym shockT1_avym = $instr4eshf_inter3)    if     lnc_tot_ ~=.  ;
outreg2 grant training basico shockT3_avym shockT2_avym shockT1_avym using  Table8, excel  append ;

};


*** WAGE AND MIGRATION FOR MEMBERS PREDICTED TO TAKE COURSE - TABLE 9***;
*** WAGE AND MIGRATION FOR MEMBERS PREDICTED TO TAKE COURSE - TABLE 9***;
*** WAGE AND MIGRATION FOR MEMBERS PREDICTED TO TAKE COURSE - TABLE 9***;



  foreach var in   days_389 {;

xi: svy: ivregress 2sls `var'p grant training basico elevacion   $control3 `var'_05p
i.block_05 (shockprimT3 shockprimT2 shockprimT1 = $instr4ef_inter3)  if     lnc_tot_ ~=.  ;
outreg2 grant training basico shockprimT3 shockprimT2 shockprimT1 using Table9, excel  append ;


xi: svy: ivregress 2sls  `var'p  grant training basico elevacion   $control3 `var'_05p
i.block_05 (shockT3_avym shockT2_avym shockT1_avym = $instr4eshf_inter3)    if     lnc_tot_ ~=.  ;
outreg2 grant training basico shockT3_avym shockT2_avym shockT1_avym using Table9, excel  append ;
};

# delimit;
  foreach var in   days_389  {;

xi: svy: ivregress 2sls `var'p_a grant training basico elevacion   $control3 `var'_05p
i.block_05 (shockprimT3 shockprimT2 shockprimT1 = $instr4ef_inter3)  if     lnc_tot_ ~=.  ;
outreg2 grant training basico shockprimT3 shockprimT2 shockprimT1 using Table9, excel  append ;


xi: svy: ivregress 2sls  `var'p_a  grant training basico elevacion   $control3 `var'_05p
i.block_05 (shockT3_avym shockT2_avym shockT1_avym = $instr4eshf_inter3)    if     lnc_tot_ ~=.  ;
outreg2 grant training basico shockT3_avym shockT2_avym shockT1_avym using Table9, excel  append ;
};

*** out migration for predicted curso members if they are not titular or jefe***;
foreach var of varlist  s1migr_out_i_08p {;

xi: svy: ivregress 2sls `var' grant training basico elevacion   $control3 
i.block_05 (shockprimT3 shockprimT2 shockprimT1 = $instr4ef_inter3)  if     lnc_tot_ ~=.  ;
outreg2 grant training basico shockprimT3 shockprimT2 shockprimT1 using Table9, excel  append ;


xi: svy: ivregress 2sls  `var'  grant training basico elevacion   $control3
i.block_05 (shockT3_avym shockT2_avym shockT1_avym = $instr4eshf_inter3)    if     lnc_tot_ ~=. ;
outreg2 grant training basico shockT3_avym shockT2_avym shockT1_avym using Table9, excel  append ;
};


foreach var of varlist  s1migr_out_i_08p {;

xi: svy: ivregress 2sls `var'_a grant training basico elevacion   $control3 
i.block_05 (shockprimT3 shockprimT2 shockprimT1 = $instr4ef_inter3)  if     lnc_tot_ ~=.  ;
outreg2 grant training basico shockprimT3 shockprimT2 shockprimT1 using Table9, excel  append ;


xi: svy: ivregress 2sls  `var'_a  grant training basico elevacion   $control3
i.block_05 (shockT3_avym shockT2_avym shockT1_avym = $instr4eshf_inter3)    if     lnc_tot_ ~=. ;
outreg2 grant training basico shockT3_avym shockT2_avym shockT1_avym using Table9, excel  append ;
};


  foreach var in   days_wpermmig_389  {;

xi: svy: ivregress 2sls `var'p grant training basico elevacion   $control3 `var'_05p
i.block_05 (shockprimT3 shockprimT2 shockprimT1 = $instr4ef_inter3)  if     lnc_tot_ ~=.  ;
outreg2 grant training basico shockprimT3 shockprimT2 shockprimT1 using Table9, excel  append ;


xi: svy: ivregress 2sls  `var'p  grant training basico elevacion   $control3 `var'_05p
i.block_05 (shockT3_avym shockT2_avym shockT1_avym = $instr4eshf_inter3)    if     lnc_tot_ ~=.  ;
outreg2 grant training basico shockT3_avym shockT2_avym shockT1_avym using Table9, excel  append ;
};

# delimit;
  foreach var in  days_wpermmig_389  {;

xi: svy: ivregress 2sls `var'p_a grant training basico elevacion   $control3 `var'_05p
i.block_05 (shockprimT3 shockprimT2 shockprimT1 = $instr4ef_inter3)  if     lnc_tot_ ~=.  ;
outreg2 grant training basico shockprimT3 shockprimT2 shockprimT1 using Table9, excel  append ;


xi: svy: ivregress 2sls  `var'p_a  grant training basico elevacion   $control3 `var'_05p
i.block_05 (shockT3_avym shockT2_avym shockT1_avym = $instr4eshf_inter3)    if     lnc_tot_ ~=.  ;
outreg2 grant training basico shockT3_avym shockT2_avym shockT1_avym using Table9, excel  append ;
};


*** HETEROGENEITY BY BASELINE DIVERSIFICATION ***;
*** HETEROGENEITY BY BASELINE DIVERSIFICATION ***;
*** HETEROGENEITY BY BASELINE DIVERSIFICATION ***;

*** CONSUMPTION - TABLE 7***;
*** CONSUMPTION - TABLE 7***;

*** *** non-agro hh AT BASELINE***;
xi: svy: ivregress 2sls lnc_tot_ grant training basico elevacion lncons_05  $control3 i.block_05 (shockprimT3 shockprimT2 shockprimT1 = $instr4ef_inter3)  if     lnc_tot_ ~=. & s6nonagro_hh_05==0;
outreg2 grant training basico shockprimT3 shockprimT2 shockprimT1 using Table7, excel  append ;

xi: svy: ivregress 2sls  lnc_tot_  grant training basico elevacion lncons_05  $control3  i.block_05 (shockT3_avym shockT2_avym shockT1_avym = $instr4eshf_inter3)    if     lnc_tot_ ~=.  & s6nonagro_hh_05==0;
outreg2 grant training basico shockT3_avym shockT2_avym shockT1_avym using Table7, excel  append ;

*** *** agro hh ***;
xi: svy: ivregress 2sls lnc_tot_ grant training basico elevacion lncons_05  $control3 i.block_05 (shockprimT3 shockprimT2 shockprimT1 = $instr4ef_inter3)  if     lnc_tot_ ~=. & s6nonagro_hh_05==1;
outreg2 grant training basico shockprimT3 shockprimT2 shockprimT1 using Table7, excel  append ;

xi: svy: ivregress 2sls  lnc_tot_  grant training basico elevacion lncons_05  $control3  i.block_05 (shockT3_avym shockT2_avym shockT1_avym = $instr4eshf_inter3)    if     lnc_tot_ ~=.  & s6nonagro_hh_05==1;
outreg2 grant training basico shockT3_avym shockT2_avym shockT1_avym using Table7, excel  append ;


*** *** non-diversified hh AT BASELINE***;
xi: svy: ivregress 2sls lnc_tot_ grant training basico elevacion lncons_05  $control3 i.block_05 (shockprimT3 shockprimT2 shockprimT1 = $instr4ef_inter3)  if     lnc_tot_ ~=. &    nract_05<=2;
outreg2 grant training basico shockprimT3 shockprimT2 shockprimT1 using Table7, excel  append ;

xi: svy: ivregress 2sls  lnc_tot_  grant training basico elevacion lncons_05  $control3  i.block_05 (shockT3_avym shockT2_avym shockT1_avym = $instr4eshf_inter3)    if     lnc_tot_ ~=.  &    nract_05<=2;
outreg2 grant training basico shockT3_avym shockT2_avym shockT1_avym using Table7, excel  append ;

*** *** diversified hh ***;

xi: svy: ivregress 2sls lnc_tot_ grant training basico elevacion lncons_05  $control3 i.block_05 (shockprimT3 shockprimT2 shockprimT1 = $instr4ef_inter3)  if     lnc_tot_ ~=. &    nract_05>2;
outreg2 grant training basico shockprimT3 shockprimT2 shockprimT1 using Table7, excel  append ;

xi: svy: ivregress 2sls  lnc_tot_  grant training basico elevacion lncons_05  $control3  i.block_05 (shockT3_avym shockT2_avym shockT1_avym = $instr4eshf_inter3)    if     lnc_tot_ ~=.  &    nract_05>2;
outreg2 grant training basico shockT3_avym shockT2_avym shockT1_avym using Table7, excel  append ;



*** INCOME- TABLE A16***;
*** INCOME- TABLE A16***;

*** *** non-nonagro hh ***;
xi: svy: ivregress 2sls lninc_tot2_pc_08o grant training basico elevacion lninc_tot2_05  $control3  i.block_05 (shockprimT3 shockprimT2 shockprimT1 = $instr4ef_inter3)  if s6nonagro_hh_05==0  &  lnc_tot_ ~=. ;
outreg2 grant training basico shockprimT3 shockprimT2 shockprimT1 using TableA16, excel  append ;

xi: svy: ivregress 2sls  lninc_tot2_pc_08o  grant training basico elevacion lninc_tot2_05  $control3  i.block_05 (shockT3_avym shockT2_avym shockT1_avym = $instr4eshf_inter3)    if  s6nonagro_hh_05==0  &    lnc_tot_ ~=.  ;
outreg2 grant training basico shockT3_avym shockT2_avym shockT1_avym using TableA16, excel  append ;

*** *** nonagro hh ***;
xi: svy: ivregress 2sls lninc_tot2_pc_08o grant training basico elevacion lninc_tot2_05  $control3  i.block_05 (shockprimT3 shockprimT2 shockprimT1 = $instr4ef_inter3)  if s6nonagro_hh_05==1  &  lnc_tot_ ~=. ;
outreg2 grant training basico shockprimT3 shockprimT2 shockprimT1 using TableA16, excel  append ;

xi: svy: ivregress 2sls  lninc_tot2_pc_08o  grant training basico elevacion lninc_tot2_05  $control3  i.block_05 (shockT3_avym shockT2_avym shockT1_avym = $instr4eshf_inter3)    if  s6nonagro_hh_05==1  &    lnc_tot_ ~=.  ;
outreg2 grant training basico shockT3_avym shockT2_avym shockT1_avym using TableA16, excel  append ;


*** *** non-diversified hh ***;
xi: svy: ivregress 2sls lninc_tot2_pc_08o grant training basico elevacion lninc_tot2_05  $control3  i.block_05 (shockprimT3 shockprimT2 shockprimT1 = $instr4ef_inter3)  if nract_05<=2  &  lnc_tot_ ~=. ;
outreg2 grant training basico shockprimT3 shockprimT2 shockprimT1 using TableA16, excel  append ;

xi: svy: ivregress 2sls  lninc_tot2_pc_08o  grant training basico elevacion lninc_tot2_05  $control3  i.block_05 (shockT3_avym shockT2_avym shockT1_avym = $instr4eshf_inter3)    if   nract_05<=2   &    lnc_tot_ ~=.  ;
outreg2 grant training basico shockT3_avym shockT2_avym shockT1_avym using TableA16, excel  append ;

*** *** diversified hh ***;
xi: svy: ivregress 2sls lninc_tot2_pc_08o grant training basico elevacion lninc_tot2_05  $control3  i.block_05 (shockprimT3 shockprimT2 shockprimT1 = $instr4ef_inter3)  if nract_05>2  &  lnc_tot_ ~=. ;
outreg2 grant training basico shockprimT3 shockprimT2 shockprimT1 using TableA16, excel  append ;

xi: svy: ivregress 2sls  lninc_tot2_pc_08o  grant training basico elevacion lninc_tot2_05  $control3  i.block_05 (shockT3_avym shockT2_avym shockT1_avym = $instr4eshf_inter3)    if   nract_05>2   &    lnc_tot_ ~=.  ;
outreg2 grant training basico shockT3_avym shockT2_avym shockT1_avym using TableA16, excel  append ;


*** KNOWLEDGE AND ATTITUDES - Table 10***;
*** KNOWLEDGE AND ATTITUDES - Table 10***;
*** KNOWLEDGE AND ATTITUDES - Table 10***;

sum s6bpx9n_new_06 s6bpx9m_extend_06   s15p13_Nbeha  fiado_yes price_inc  machina cope_job cope_bus  if itt_h==0;

foreach var of varlist s6bpx9n_new_06 s6bpx9m_extend_06   {;

xi: svy: reg `var' grant training basico $control3 i.block_05    ;

outreg2 grant training basico using Table10, excel  append;

};


foreach var of varlist s15p13_Nbeha  fiado_yes price_inc  machina cope_job cope_bus   {;

xi: svy: reg `var' grant training basico $control3 i.block_05   if     lnc_tot_ ~=. ;

outreg2 grant training basico using Table10, excel  append;

};


**** TESTING ROBUSTNESS TO SAMPLING WEIGHTS - Table A.11;
**** TESTING ROBUSTNESS TO SAMPLING WEIGHTS - Table A.11 ;
**** TESTING ROBUSTNESS TO SAMPLING WEIGHTS - Table A.11 ;

gen sampling_weight = 3/1 if itt_h == 0 ;
replace sampling_weight = 1 if itt_h == 1 ;

svyset unique_05 [pw = sampling_weight] ;

*** CONSUMPTION***;
xi: svy: ivregress 2sls lnc_tot_ grant training basico elevacion lncons_05  $control3 i.block_05 (shockprimT3 shockprimT2 shockprimT1 = $instr4ef_inter3)  if     lnc_tot_ ~=. ;
outreg2 grant training basico shockprimT3 shockprimT2 shockprimT1 using TableA11, excel  append ;

xi: svy: ivregress 2sls  lnc_tot_  grant training basico elevacion lncons_05  $control3  i.block_05 (shockT3_avym shockT2_avym shockT1_avym = $instr4eshf_inter3)    if     lnc_tot_ ~=.  ;
outreg2 grant training basico shockT3_avym shockT2_avym shockT1_avym using TableA11, excel  append ;

*** INCOME***;

xi: svy: ivregress 2sls lninc_tot2_pc_08o grant training basico elevacion lninc_tot2_05  $control3  i.block_05 (shockprimT3 shockprimT2 shockprimT1 = $instr4ef_inter3)  if     lnc_tot_ ~=. ;
outreg2 grant training basico shockprimT3 shockprimT2 shockprimT1 using TableA11, excel  append ;

xi: svy: ivregress 2sls  lninc_tot2_pc_08o  grant training basico elevacion lninc_tot2_05  $control3  i.block_05 (shockT3_avym shockT2_avym shockT1_avym = $instr4eshf_inter3)    if     lnc_tot_ ~=.  ;
outreg2 grant training basico shockT3_avym shockT2_avym shockT1_avym using TableA11, excel  append ;



** BASE RESULTS WITH FIXED EFFECTS AND EXACT P VALUES - TABLE A6***;
** BASE RESULTS WITH FIXED EFFECTS AND EXACT P VALUES - TABLE A6***;
** BASE RESULTS WITH FIXED EFFECTS AND EXACT P VALUES - TABLE A6***;

svyset, clear;
svyset unique_05;
tabulate block_05, generate(iblock) ;

log using TableA6.log ,  replace ;


*** CONSUMPTION***;
xi: svy: ivregress 2sls lnc_tot_ grant training basico elevacion lncons_05  $control3 i.block_05 (shockprimT3 shockprimT2 shockprimT1 = $instr4ef_inter3)  if     lnc_tot_ ~=. ;
randcmd ( (grant training basico shockprimT3 shockprimT2 shockprimT1)  ivregress 2sls lnc_tot_ grant training basico elevacion lncons_05  $control3 iblock* (shockprimT3 shockprimT2 shockprimT1 = $instr4ef_inter3)  if     lnc_tot_ ~=.  , cluster(unique_05)  )  , treatvars(grant training basico) reps(2000)  seed(546)   calc1(replace shockprimT3   = avdrprim_n08*grant)  calc2(replace shockprimT2 = avdrprim_n08*training)  calc3(replace shockprimT1 = avdrprim_n08*basico )  strata(block_05) ;

xi: svy: ivregress 2sls  lnc_tot_  grant training basico elevacion lncons_05  $control3  i.block_05 (shockT3_avym shockT2_avym shockT1_avym = $instr4eshf_inter3)    if     lnc_tot_ ~=.  ;
randcmd ( (grant training basico shockT3_avym shockT2_avym shockT1_avym) ivregress 2sls lnc_tot_ grant training basico elevacion lncons_05  $control3 iblock* (shockT3_avym shockT2_avym shockT1_avym = $instr4eshf_inter3)  if     lnc_tot_ ~=.  , cluster(unique_05)  )  , treatvars(grant training basico) reps(2000)  seed(546)   calc1(replace shockT3_avym    = st_av_yield_m*grant)  calc2(replace shockT2_avym  = st_av_yield_m*training)  calc3(replace shockT1_avym = st_av_yield_m*basico)  strata(block_05) ;


*** INCOME***;

xi: svy: ivregress 2sls lninc_tot2_pc_08o grant training basico elevacion lninc_tot2_05  $control3  i.block_05 (shockprimT3 shockprimT2 shockprimT1 = $instr4ef_inter3)  if     lnc_tot_ ~=. ;
randcmd ( (grant training basico shockprimT3 shockprimT2 shockprimT1)  ivregress 2sls lninc_tot2_pc_08o grant training basico elevacion lninc_tot2_05  $control3 iblock* (shockprimT3 shockprimT2 shockprimT1 = $instr4ef_inter3)  if     lnc_tot_ ~=.  , cluster(unique_05)  )  , treatvars(grant training basico) reps(2000)  seed(546)   calc1(replace shockprimT3   = avdrprim_n08*grant)  calc2(replace shockprimT2 = avdrprim_n08*training)  calc3(replace shockprimT1 = avdrprim_n08*basico )  strata(block_05) ;

xi: svy: ivregress 2sls  lninc_tot2_pc_08o  grant training basico elevacion lninc_tot2_05  $control3  i.block_05 (shockT3_avym shockT2_avym shockT1_avym = $instr4eshf_inter3)    if     lnc_tot_ ~=.  ;
randcmd ( (grant training basico shockT3_avym shockT2_avym shockT1_avym)  ivregress 2sls lninc_tot2_pc_08o grant training basico elevacion lninc_tot2_05  $control3 iblock* (shockT3_avym shockT2_avym shockT1_avym = $instr4eshf_inter3)  if     lnc_tot_ ~=.  , cluster(unique_05)  )  , treatvars(grant training basico) reps(2000)  seed(546)   calc1(replace shockT3_avym    = st_av_yield_m*grant)  calc2(replace shockT2_avym  = st_av_yield_m*training)  calc3(replace shockT1_avym = st_av_yield_m*basico) strata(block_05) ;

log close;


*** ROBUSTNESS FOR OTHER CUT-OFF DATES HISTORICAL AVERAGES - Table A13 and A12***;
*** ROBUSTNESS FOR OTHER CUT-OFF DATES HISTORICAL AVERAGES - Table A13 and A12***;
*** ROBUSTNESS FOR OTHER CUT-OFF DATES HISTORICAL AVERAGES - Table A13 and A12***;

*** creation interaction effects for instruments**;
*** creation interaction effects for instruments**;

gen elhot_dev_97 = elevacion*n_hotdays_67alt_dev_97 ;
gen elhot_dev_96 = elevacion*n_hotdays_67alt_dev_96 ;
gen elhot_dev_95 = elevacion*n_hotdays_67alt_dev_95 ;
gen elhot_dev_94 = elevacion*n_hotdays_67alt_dev_94 ;


gen elsumdd_dif_97 = elevacion*sumdd67_dif_97;
gen elsumdd_dif_96 = elevacion*sumdd67_dif_96;
gen elsumdd_dif_95 = elevacion*sumdd67_dif_95;
gen elsumdd_dif_94 = elevacion*sumdd67_dif_94;



gen T1_hotdays_dev_97 = basico*n_hotdays_67alt_dev_97;
gen T2_hotdays_dev_97 = training*n_hotdays_67alt_dev_97;
gen T3_hotdays_dev_97 = grant*n_hotdays_67alt_dev_97;

gen T1_sumdd67_dif_97 = basico*sumdd67_dif_97;
gen T2_sumdd67_dif_97 = training*sumdd67_dif_97;
gen T3_sumdd67_dif_97 = grant*sumdd67_dif_97;

gen T1_elsumdd_dif_97 = basico*elsumdd_dif_97;
gen T2_elsumdd_dif_97 = training*elsumdd_dif_97;
gen T3_elsumdd_dif_97 = grant*elsumdd_dif_97;

gen T1_elhot_dev_97 = basico*elhot_dev_97;
gen T2_elhot_dev_97 = training*elhot_dev_97;
gen T3_elhot_dev_97 = grant*elhot_dev_97;

gen T1_hotdays_dev_96 = basico*n_hotdays_67alt_dev_96;
gen T2_hotdays_dev_96 = training*n_hotdays_67alt_dev_96;
gen T3_hotdays_dev_96 = grant*n_hotdays_67alt_dev_96;

gen T1_sumdd67_dif_96 = basico*sumdd67_dif_96;
gen T2_sumdd67_dif_96 = training*sumdd67_dif_96;
gen T3_sumdd67_dif_96 = grant*sumdd67_dif_96;

gen T1_elsumdd_dif_96 = basico*elsumdd_dif_96;
gen T2_elsumdd_dif_96 = training*elsumdd_dif_96;
gen T3_elsumdd_dif_96 = grant*elsumdd_dif_96;

gen T1_elhot_dev_96 = basico*elhot_dev_96;
gen T2_elhot_dev_96 = training*elhot_dev_96;
gen T3_elhot_dev_96 = grant*elhot_dev_96;

gen T1_hotdays_dev_95 = basico*n_hotdays_67alt_dev_95;
gen T2_hotdays_dev_95 = training*n_hotdays_67alt_dev_95;
gen T3_hotdays_dev_95 = grant*n_hotdays_67alt_dev_95;

gen T1_sumdd67_dif_95 = basico*sumdd67_dif_95;
gen T2_sumdd67_dif_95 = training*sumdd67_dif_95;
gen T3_sumdd67_dif_95 = grant*sumdd67_dif_95;

gen T1_elsumdd_dif_95 = basico*elsumdd_dif_95;
gen T2_elsumdd_dif_95 = training*elsumdd_dif_95;
gen T3_elsumdd_dif_95 = grant*elsumdd_dif_95;

gen T1_elhot_dev_95 = basico*elhot_dev_95;
gen T2_elhot_dev_95 = training*elhot_dev_95;
gen T3_elhot_dev_95 = grant*elhot_dev_95;

gen T1_hotdays_dev_94 = basico*n_hotdays_67alt_dev_94;
gen T2_hotdays_dev_94 = training*n_hotdays_67alt_dev_94;
gen T3_hotdays_dev_94 = grant*n_hotdays_67alt_dev_94;

gen T1_sumdd67_dif_94 = basico*sumdd67_dif_94;
gen T2_sumdd67_dif_94 = training*sumdd67_dif_94;
gen T3_sumdd67_dif_94 = grant*sumdd67_dif_94;

gen T1_elsumdd_dif_94 = basico*elsumdd_dif_94;
gen T2_elsumdd_dif_94 = training*elsumdd_dif_94;
gen T3_elsumdd_dif_94 = grant*elsumdd_dif_94;

gen T1_elhot_dev_94 = basico*elhot_dev_94;
gen T2_elhot_dev_94 = training*elhot_dev_94;
gen T3_elhot_dev_94 = grant*elhot_dev_94;



*** DEFINING INSTRUMENT SETS FOR SPECIFICATION WITH INTERACTIONS WITH 3 INTERVENTIONS - WITH AND WITHOUT FIXED EFFECTS**;
*** DEFINING INSTRUMENT SETS FOR SPECIFICATION WITH INTERACTIONS WITH 3 INTERVENTIONS - WITH AND WITHOUT FIXED EFFECTS**;



* instrument sets with deviations from pre-1997 mean *;
 
global instr4ef_inter3_97 "T3_hotdays_dev_97 T3_elhot_dev_97  T3_sumdd67_dif_97 T3_elsumdd_dif_97 T3dry1560 
T2_hotdays_dev_97 T2_elhot_dev_97 T2_sumdd67_dif_97 T2_elsumdd_dif_97 T2dry1560 T1_hotdays_dev_97 T1_elhot_dev_97 T1_sumdd67_dif_97 T1_elsumdd_dif_97 T1dry1560 " ;

global instr4eshf_inter3_97 " T3_sumdd67_dif_97 T3_elsumdd_dif_97 T3dry1560 
 T2_sumdd67_dif_97 T2_elsumdd_dif_97 T2dry1560 T1_sumdd67_dif_97 T1_elsumdd_dif_97 T1dry1560 " ;

 * instrument sets with deviations from pre-1996 mean *;
 
global instr4ef_inter3_96 "T3_hotdays_dev_96 T3_elhot_dev_96  T3_sumdd67_dif_96 T3_elsumdd_dif_96 T3dry1560 
T2_hotdays_dev_96 T2_elhot_dev_96 T2_sumdd67_dif_96 T2_elsumdd_dif_96 T2dry1560 T1_hotdays_dev_96 T1_elhot_dev_96 T1_sumdd67_dif_96 T1_elsumdd_dif_96 T1dry1560 " ;

global instr4eshf_inter3_96 " T3_sumdd67_dif_96 T3_elsumdd_dif_96 T3dry1560 
 T2_sumdd67_dif_96 T2_elsumdd_dif_96 T2dry1560 T1_sumdd67_dif_96 T1_elsumdd_dif_96 T1dry1560 " ;
 
 * instrument sets with deviations from pre-1995 mean *;
 
global instr4ef_inter3_95 "T3_hotdays_dev_95 T3_elhot_dev_95  T3_sumdd67_dif_95 T3_elsumdd_dif_95 T3dry1560 
T2_hotdays_dev_95 T2_elhot_dev_95 T2_sumdd67_dif_95 T2_elsumdd_dif_95 T2dry1560 T1_hotdays_dev_95 T1_elhot_dev_95 T1_sumdd67_dif_95 T1_elsumdd_dif_95 T1dry1560 " ;

global instr4eshf_inter3_95 " T3_sumdd67_dif_95 T3_elsumdd_dif_95 T3dry1560 
 T2_sumdd67_dif_95 T2_elsumdd_dif_95 T2dry1560 T1_sumdd67_dif_95 T1_elsumdd_dif_95 T1dry1560 " ;

 
 * instrument sets with deviations from pre-1994 mean *;
 
global instr4ef_inter3_94 "T3_hotdays_dev_94 T3_elhot_dev_94  T3_sumdd67_dif_94 T3_elsumdd_dif_94 T3dry1560 
T2_hotdays_dev_94 T2_elhot_dev_94 T2_sumdd67_dif_94 T2_elsumdd_dif_94 T2dry1560 T1_hotdays_dev_94 T1_elhot_dev_94 T1_sumdd67_dif_94 T1_elsumdd_dif_94 T1dry1560 " ;

global instr4eshf_inter3_94 " T3_sumdd67_dif_94 T3_elsumdd_dif_94 T3dry1560 
 T2_sumdd67_dif_94 T2_elsumdd_dif_94 T2dry1560 T1_sumdd67_dif_94 T1_elsumdd_dif_94 T1dry1560 " ;
 
**** SELECTED REGRESSIONS ON KEY OUTCOMES ONLY - MAIN RESULTS TABLE***;
**** SELECTED REGRESSIONS ON KEY OUTCOMES ONLY - MAIN RESULTS TABLE***;


svyset unique_05;

****** INSTRUMENTS WITH DEVIATION FROM PRE 1997 PERIOD

*** CONSUMPTION***;
xi: svy: ivregress 2sls lnc_tot_ grant training basico elevacion lncons_05  $control3 i.block_05 (shockprimT3 shockprimT2 shockprimT1 = $instr4ef_inter3_97)  if     lnc_tot_ ~=. ;
outreg2 grant training basico shockprimT3 shockprimT2 shockprimT1 using TableA12, excel  append ;

xi: svy: ivregress 2sls  lnc_tot_  grant training basico elevacion lncons_05  $control3  i.block_05 (shockT3_avym shockT2_avym shockT1_avym = $instr4eshf_inter3_97)    if     lnc_tot_ ~=.  ;
outreg2 grant training basico shockT3_avym shockT2_avym shockT1_avym using  TableA12, excel  append ;


*** INCOME***;

xi: svy: ivregress 2sls lninc_tot2_pc_08o grant training basico elevacion lninc_tot2_05  $control3  i.block_05 (shockprimT3 shockprimT2 shockprimT1 = $instr4ef_inter3_97)  if     lnc_tot_ ~=. ;
outreg2 grant training basico shockprimT3 shockprimT2 shockprimT1 using TableA13, excel  append ;

xi: svy: ivregress 2sls  lninc_tot2_pc_08o  grant training basico elevacion lninc_tot2_05  $control3  i.block_05 (shockT3_avym shockT2_avym shockT1_avym = $instr4eshf_inter3_97)    if     lnc_tot_ ~=.  ;
outreg2 grant training basico shockT3_avym shockT2_avym shockT1_avym using TableA13, excel  append ;

****** INSTRUMENTS WITH DEVIATION FROM PRE 1996 PERIOD

*** CONSUMPTION***;
xi: svy: ivregress 2sls lnc_tot_ grant training basico elevacion lncons_05  $control3 i.block_05 (shockprimT3 shockprimT2 shockprimT1 = $instr4ef_inter3_96)  if     lnc_tot_ ~=. ;
outreg2 grant training basico shockprimT3 shockprimT2 shockprimT1 using  TableA12, excel  append ;

xi: svy: ivregress 2sls  lnc_tot_  grant training basico elevacion lncons_05  $control3  i.block_05 (shockT3_avym shockT2_avym shockT1_avym = $instr4eshf_inter3_96)    if     lnc_tot_ ~=.  ;
outreg2 grant training basico shockT3_avym shockT2_avym shockT1_avym using  TableA12, excel  append ;


*** INCOME***;

xi: svy: ivregress 2sls lninc_tot2_pc_08o grant training basico elevacion lninc_tot2_05  $control3  i.block_05 (shockprimT3 shockprimT2 shockprimT1 = $instr4ef_inter3_96)  if     lnc_tot_ ~=. ;
outreg2 grant training basico shockprimT3 shockprimT2 shockprimT1 using TableA13, excel  append ;

xi: svy: ivregress 2sls  lninc_tot2_pc_08o  grant training basico elevacion lninc_tot2_05  $control3  i.block_05 (shockT3_avym shockT2_avym shockT1_avym = $instr4eshf_inter3_96)    if     lnc_tot_ ~=.  ;
outreg2 grant training basico shockT3_avym shockT2_avym shockT1_avym using TableA13, excel  append ;

****** INSTRUMENTS WITH DEVIATION FROM PRE 1995 PERIOD

*** CONSUMPTION***;
xi: svy: ivregress 2sls lnc_tot_ grant training basico elevacion lncons_05  $control3 i.block_05 (shockprimT3 shockprimT2 shockprimT1 = $instr4ef_inter3_95)  if     lnc_tot_ ~=. ;
outreg2 grant training basico shockprimT3 shockprimT2 shockprimT1 using  TableA12, excel  append ;

xi: svy: ivregress 2sls  lnc_tot_  grant training basico elevacion lncons_05  $control3  i.block_05 (shockT3_avym shockT2_avym shockT1_avym = $instr4eshf_inter3_95)    if     lnc_tot_ ~=.  ;
outreg2 grant training basico shockT3_avym shockT2_avym shockT1_avym using  TableA12, excel  append ;

*** INCOME***;

xi: svy: ivregress 2sls lninc_tot2_pc_08o grant training basico elevacion lninc_tot2_05  $control3  i.block_05 (shockprimT3 shockprimT2 shockprimT1 = $instr4ef_inter3_95)  if     lnc_tot_ ~=. ;
outreg2 grant training basico shockprimT3 shockprimT2 shockprimT1 using TableA13, excel  append ;

xi: svy: ivregress 2sls  lninc_tot2_pc_08o  grant training basico elevacion lninc_tot2_05  $control3  i.block_05 (shockT3_avym shockT2_avym shockT1_avym = $instr4eshf_inter3_95)    if     lnc_tot_ ~=.  ;
outreg2 grant training basico shockT3_avym shockT2_avym shockT1_avym using TableA13, excel  append ;

****** INSTRUMENTS WITH DEVIATION FROM PRE 1994 PERIOD

*** CONSUMPTION***;
xi: svy: ivregress 2sls lnc_tot_ grant training basico elevacion lncons_05  $control3 i.block_05 (shockprimT3 shockprimT2 shockprimT1 = $instr4ef_inter3_94)  if     lnc_tot_ ~=. ;
outreg2 grant training basico shockprimT3 shockprimT2 shockprimT1 using  TableA12, excel  append ;

xi: svy: ivregress 2sls  lnc_tot_  grant training basico elevacion lncons_05  $control3  i.block_05 (shockT3_avym shockT2_avym shockT1_avym = $instr4eshf_inter3_94)    if     lnc_tot_ ~=.  ;
outreg2 grant training basico shockT3_avym shockT2_avym shockT1_avym using  TableA12, excel  append ;


*** INCOME***;

xi: svy: ivregress 2sls lninc_tot2_pc_08o grant training basico elevacion lninc_tot2_05  $control3  i.block_05 (shockprimT3 shockprimT2 shockprimT1 = $instr4ef_inter3_94)  if     lnc_tot_ ~=. ;
outreg2 grant training basico shockprimT3 shockprimT2 shockprimT1 using TableA13, excel  append ;

xi: svy: ivregress 2sls  lninc_tot2_pc_08o  grant training basico elevacion lninc_tot2_05  $control3  i.block_05 (shockT3_avym shockT2_avym shockT1_avym = $instr4eshf_inter3_94)    if     lnc_tot_ ~=.  ;
outreg2 grant training basico shockT3_avym shockT2_avym shockT1_avym using TableA13, excel  append ;




*** OJO : NEEDS TO BE RUN LAST AS COLLAPSES TO block/COM LEVEL***;

** TABLE3, first 2 columns + FOOD AVAILABILITY AND PRICES AT COMMUNITY LEVEL - TABLE A15***;
** TABLE3, first 2 columns + FOOD AVAILABILITY AND PRICES AT COMMUNITY LEVEL - TABLE A15***;
** TABLE3, first 2 columns + FOOD AVAILABILITY AND PRICES AT COMMUNITY LEVEL - TABLE A15***;


gen we = 3 if itt_h==0;
replace we = 1 if itt_h==1;
drop if unique_05 ~= unique_08;

collapse (mean) avdrprim_n08 avdr_bl_n elevacion t n_drydays_critper_1560 sumdd67_dif n_hotdays_67alt_dev startdaywet_amount_dif [pweight = we], by(block_05);

gen elhot_dev = elevacion*n_hotdays_67alt_dev ;
gen elsumdd_dif = elevacion*sumdd67_dif;
gen eldry1560 = elevacion*n_drydays_critper_1560;

reg avdrprim_n08   n_drydays_critper_1560 sumdd67_dif n_hotdays_67alt_dev startdaywet_amount_dif;
outreg2 using Table3, excel append;
reg avdrprim_n08  n_drydays_critper_1560 sumdd67_dif n_hotdays_67alt_dev startdaywet_amount_dif elevacion elhot_dev  elsumdd_dif ;
outreg2 using Table3, excel append;

sort block_05;

merge 1:m block_05 using com_survey_data;
gen itt_h = pr_treat_com_05;
gen Tavdr_bl_n = itt_h*avdr_bl_n;


**** WITH INTERACTIONS FOR GRANT, TRAINING, BASICO****;
**** WITH INTERACTIONS FOR GRANT, TRAINING, BASICO****;



gen T_dry1560 = itt_h*n_drydays_critper_1560;

gen T_sumdd67_dif = itt_h*sumdd67_dif;
gen T_elsumdd_dif = itt_h*elsumdd_dif;

gen T_hotdays_dev = itt_h*n_hotdays_67alt_dev;
gen T_elhot_dev = itt_h*elhot_dev;






*** DEFINING INSTRUMENT SETS FOR SPECIFICATION WITH INTERACTIONS WITH 3 INTERVENTIONS - WITH AND WITHOUT FIXED EFFECTS**;
*** DEFINING INSTRUMENT SETS FOR SPECIFICATION WITH INTERACTIONS WITH 3 INTERVENTIONS - WITH AND WITHOUT FIXED EFFECTS**;
*** DEFINING INSTRUMENT SETS FOR SPECIFICATION WITH INTERACTIONS WITH 3 INTERVENTIONS - WITH AND WITHOUT FIXED EFFECTS**;


global instr4e_inter "n_hotdays_67alt_dev elhot_dev sumdd67_dif elsumdd_dif n_drydays_critper_1560 
T_hotdays_dev T_elhot_dev  T_sumdd67_dif T_elsumdd_dif T_dry1560" ;



foreach var of varlist  nrfoodav nrnonfoodav nranimalav  z_food z_nonfood z_animal  {;


ivreg2 `var' itt_h elevacion (avdr_bl_n Tavdr_bl_n = $instr4e_inter), ffirst cluster(block_05);
outreg2 using TableA15, excel append;


};


*** Table A14***;
*** Table A14***;
*** Table A14***;

sum s3p16* if pr_treat_com_05==0;
sum s3p16* if pr_treat_com_05==1;

foreach x of varlist s3p16* {;

	reg `x' pr_treat_com_05;

	outreg2 using TableA14, tstat excel append; 


	};

