clear
pause on

set mem 320m
set more off
set maxvar 15000

********************** TEMPERATURE FIGURES ***********************
********************** TEMPERATURE FIGURES ***********************
********************** TEMPERATURE FIGURES ***********************

use temperature_reprod.dta, clear

*** FIGURE A.1 TEMPERATURE PRE AND POST 1998

# delimit ;

sort codigo year month day ;

twoway lowess  day_max_temp_pre2  tempdate if  year==2008 , bwidth(0.05) lpattern(dash)  || 

lowess day_max_temp_post2 tempdate if year==2008 , bwidth(0.05)   || 

lowess day_mean_temp_pre2  tempdate if  year==2008 , bwidth(0.05) lpattern(dash)  || 

lowess day_mean_temp_post2 tempdate if year==2008 , bwidth(0.05)   || 

lowess day_min_temp_pre2  tempdate if  year==2008 , bwidth(0.05) lpattern(dash)  || 

lowess day_min_temp_post2 tempdate if year==2008 , bwidth(0.05)   

legend( label(1 "Pre 1998 Max") label (2 "Post 1998 Max" ) label(3 "Pre 1998 Average") label(4 "Post 1998 Average") label(5 "Pre 1998 min") label(6 "Post 1998 Min") ) xla(17563 "Feb" 17592 "Mar" 17623 "Apr" 17653 "May" 17684 "Jun" 17714 "Jul" 17745 "Aug" 17776 "Sep" 17806 "Oct" 17837 "Nov" 17867 "Dec")  title(Temperature Pre and Post 1998) 
note("Note: Temperature (in Celsius) from 1979 until 1998 (pre 1998), 1999 until 2008 (post 1998)")  ;

graph save FigureA.1.2, replace ;

# delimit cr

*** FIGURE A.2 TEMPERATURE PRE AND POST 1994

sort codigo year month day

# delimit ;

twoway lowess  day_max_temp_pre294  tempdate if  year==2008 , bwidth(0.05) lpattern(dash)  || 

lowess day_max_temp_post294 tempdate if year==2008 , bwidth(0.05)   || 

lowess day_mean_temp_pre294  tempdate if  year==2008 , bwidth(0.05) lpattern(dash)  || 

lowess day_mean_temp_post294 tempdate if year==2008 , bwidth(0.05)   || 

lowess day_min_temp_pre294  tempdate if  year==2008 , bwidth(0.05) lpattern(dash)  || 

lowess day_min_temp_post294 tempdate if year==2008 , bwidth(0.05)   

legend( label(1 "Pre 1994 Max") label (2 "Post 1994 Max" ) label(3 "Pre 1994 Average") label(4 "Post 1994 Average") label(5 "Pre 1994 min") label(6 "Post 1994 Min") ) xla(17563 "Feb" 17592 "Mar" 17623 "Apr" 17653 "May" 17684 "Jun" 17714 "Jul" 17745 "Aug" 17776 "Sep" 17806 "Oct" 17837 "Nov" 17867 "Dec")  title(Temperature Pre and Post 1994) 
note("Note: Temperature (in Celsius) from 1979 until 1994 (pre 1994), 1995 until 2008 (post 1994)") ;

graph save FigureA.2.2, replace ;

# delimit cr

********************** RAINFALL FIGURES ***********************
********************** RAINFALL FIGURES ***********************
********************** RAINFALL FIGURES ***********************

use rainfall_reprod.dta , clear 

*** FIGURE A.1 DAILY RAINFALL PRE AND POST 1998;

sort codigo year month day
# delimit; 

twoway lowess day_rain_pre  raindate if  year==2008 , bwidth(0.05) xtick( 17563 17592 17623 17653 17684 17714 17745 17776 17806 17837 17867 ) lpattern(dash)  
|| lowess day_rain_post raindate if year==2008 , bwidth(0.05) legend( label(1 "Pre 1998 Average") label (2 "Post 1998 Average" )) 
title(Rainfall Pre and Post 1998) xla(17563 "Feb" 17592 "Mar" 17623 "Apr" 17653 "May" 17684 "Jun" 17714 "Jul" 17745 "Aug" 17776 "Sep" 17806 "Oct" 17837 "Nov" 17867 "Dec")
note("Note: Rainfall (in mm) from 1979 until 1997 (pre 1998), 1999 until 2008 (post 1998)") ;

graph save FigureA.1.1, replace ;

*** FIGURE A.2 DAILY RAINFALL PRE AND POST 1994;

# delimit; 
sort codigo year month day ;

twoway lowess day_rain_pre94  raindate if  year==2008 , bwidth(0.05) xtick( 17563 17592 17623 17653 17684 17714 17745 17776 17806 17837 17867 ) lpattern(dash)  
|| lowess day_rain_post94 raindate if year==2008 , bwidth(0.05) legend( label(1 "Pre 1994 Average") label (2 "Post 1994 Average" )) 
title(Rainfall Pre and Post 1994) xla(17563 "Feb" 17592 "Mar" 17623 "Apr" 17653 "May" 17684 "Jun" 17714 "Jul" 17745 "Aug" 17776 "Sep" 17806 "Oct" 17837 "Nov" 17867 "Dec")
note("Note: Rainfall (in mm) from 1979 until 1994 (pre 1994), 1995-2008 (post 1994)") ;

graph save FigureA.2.1, replace ;

gr combine "FigureA.1.1"  "FigureA.1.2" , xsize(3) ysize(1) ;
graph save FigureA.1, replace ;
gr combine "FigureA.2.1"  "FigureA.2.2" ,  xsize(3) ysize(1) ;
graph save FigureA.2, replace ;



