
clear all
set mem 800m
set matsize 500
set more off
#delimit;

cap log close;
pause off;





use data_MPV_replication2, clear;
keep if personaid08~=.;
isid  personaid08, sort ;
set seed 4651 ;

*** BALANCE TABLE A1***;
*** BALANCE TABLE A1***;
*** BALANCE TABLE A1***;

log using balance.log, replace;

matrix C = [ . , . , . , . , . , . , . , . ] ;

local names = "  " ;

foreach var of varlist s1age_head_05 yrsedhead yrsedtit yrsedav s2literate_head_05 s1male_head_05  
s1hhsize_05	s1hhsz_undr5_05	s1hhsz_5_14_05	s1hhsz_15_24_05	s1hhsz_25_64_05	s1hhsz_65plus_05
s3ap23_stime_h_05	s3ap24_htime_h_05	s3ap25_hqtime_h_05
s11landsize_tothh_05 s11ownland_hh_05
vsmall_05	vall_05	gonesmall_05	goneall_05
s6bpx1_agrohh_h_05	s6bpx2_pecuarhh_h_05	s6bpx3_peonhh_h_05	s6bpx4_prodhh_h_05	s6bpx5_mfghh_h_05	s6bpx6_commhh_h_05	s6bpx7_servhh_h_05	s6bpx8_emplhh_h_05	s6bpx9_profeshh_h_05
s6migra_temp_hh_05 
inc_tot2_pc_05 cons_food_pc_05 cons_tot_pc_05
lncons_05	lnfood_05 lninc_tot2_05 s3dp38_drought_h_05 elevacion {; 

sum `var'  if itt_h ==0 & lnc_tot_~=.;
local m1= `r(mean)' ;
sum `var'  if basico ==1 & lnc_tot_~=.;
local m2= `r(mean)' ;
sum `var'  if training ==1 & lnc_tot_~=.;
local m3= `r(mean)' ;
sum `var'  if grant ==1 & lnc_tot_~=.;
local m4= `r(mean)' ;

regress `var' itt_h if lnc_tot_~=. , cluster(unique_05);
test itt_h = 0;
local p1= r(p) ;

* calculate exact p-value (takes about 1h with 2000 replications) ;
randcmd ( (itt_h)  regress `var' itt_h if lnc_tot_~=. , cluster(unique_05)  )  , treatvars(itt_h) reps(2000)  seed(546) strata(block_05) ;
mat m = e(RCoef);
local pvaluec1= m[1,3];
local pvaluet2= m[1,6];


regress `var' basico training grant if lnc_tot_~=. , cluster(unique_05);
test basico = training = grant;
local p2= r(p) ;

* calculate exact p-value (takes about 1h with 2000 replications) ;
randcmd ( (basico training grant)  regress `var' basico training grant if lnc_tot_~=. , cluster(unique_05)  )  , treatvars(basico training grant) reps(2000)  seed(546) strata(block_05) ;

mat m2 = e(REqn);
local pvaluec3= m2[1,3];
local pvaluet4= m2[1,6];


 matrix E = [`m1' ,  `m2' ,  `m3' ,  `m4' , `p1' ,  `pvaluet2' ,   `p2' , `pvaluet4' ] ;
 matrix C = [C \ E] ;
 
 local names = "  `names' `var' " ;

 
 };

 matrix colnames C= "Mean Control" "Mean Basic" "Mean Training" "Mean Grant" "P-value T=C" "Exact P-value T=C (rand-t)" "P=value T1=T2=T3" "Exact P-value T1=T2=T3" ;
 
 matdelrc C, r(1) ;
 matrix rownames C= `names' ;
 
 matlist C ;
 
 xml_tab C , save("balance_tableA1.xml") sheet(tableA1) replace ;
log close;










